httpResponseSchema
consthttpResponseSchema:object
The JSON Schemas those models were generated from, for runtime use.
Type Declaration
Section titled “Type Declaration”
readonly$id:"https://schemas.inderun.dev/1.0/http-response.schema.json"
$schema
Section titled “$schema”
readonly$schema:"https://json-schema.org/draft/2020-12/schema"
additionalProperties
Section titled “additionalProperties”
readonlyadditionalProperties:true
description
Section titled “description”
readonlydescription:"Normalized HTTP response payload returned by host-provided cloud transport."
properties
Section titled “properties”
readonlyproperties:object
properties.body
Section titled “properties.body”
readonlybody:object
properties.body.description
Section titled “properties.body.description”
readonlydescription:"Serialized response body returned by the provider transport."
properties.body.type
Section titled “properties.body.type”
readonlytype:"string"
properties.headers
Section titled “properties.headers”
readonlyheaders:object
properties.headers.additionalProperties
Section titled “properties.headers.additionalProperties”
readonlyadditionalProperties:object
properties.headers.additionalProperties.type
Section titled “properties.headers.additionalProperties.type”
readonlytype:"string"
properties.headers.description
Section titled “properties.headers.description”
readonlydescription:"HTTP response headers normalized to string key-value pairs."
properties.headers.type
Section titled “properties.headers.type”
readonlytype:"object"
properties.status
Section titled “properties.status”
readonlystatus:object
properties.status.description
Section titled “properties.status.description”
readonlydescription:"HTTP status code returned by the provider transport."
properties.status.maximum
Section titled “properties.status.maximum”
readonlymaximum:599
properties.status.minimum
Section titled “properties.status.minimum”
readonlyminimum:100
properties.status.type
Section titled “properties.status.type”
readonlytype:"integer"
properties.statusText
Section titled “properties.statusText”
readonlystatusText:object
properties.statusText.description
Section titled “properties.statusText.description”
readonlydescription:"HTTP status text returned by the provider transport."
properties.statusText.type
Section titled “properties.statusText.type”
readonlytype:"string"
required
Section titled “required”
readonlyrequired: readonly ["status","statusText","headers","body"]
readonlytitle:"HttpResponse"
readonlytype:"object"
IndeRun — open-source AI execution for cross-platform apps. Built and maintained by Independo GmbH (opens in new tab), supported by netidee (opens in new tab).
MIT-licensed SDK · No SDK usage telemetry.
© 2025–2026 Independo GmbH